body {
    background-color: #f3eae3;
    line-height: 1.6;
}

header {
    padding: 20px 0;
    text-align: center;
}

h1 {
    font-family: fantasy;
    color: #777070;
}

p {
    color: #4d2a02;
}

li {
    font-family: cursive;
}

footer {
    color: #f3eae3;
    background-color: #386e7a;
    text-align: center;
    padding: 10px 0;
    margin-top: 40px;
}


/*
section {
    background-color: #faf3eb;
    padding: 20px;
    margin-bottom: 20px;
}
*/

#mainnav {
    background-color: #777070;
    text-align: center;
    padding: 10px 0;
}

#mainnav a {
    color: #ffffff;
    margin: 0 10px;
    font-size: 16px;
}

#mainnav a:hover {
    text-decoration: underline;
}

button {
    background-color: #386e7a;
    color: #ffffff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    margin-top: 10px;
    text-decoration: none;
}

button:hover {
    background-color: #333333;
}

ul,
ol {
    padding-left: 20px;
    margin-bottom: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

th,
td {
    border: 1px solid #cccccc;
    padding: 10px;
    text-align: left;
    font-size: 16px;
}

th {
    background-color: #f2f2f2;
    font-weight: bold;
}

#FourButtons {
    background-color: #f2f2f2;
    border-color: #4d2a02;
    text-decoration: none;
}

a {
    color: aqua;
}


/*
img {
    width: 100%;
    max-width: 600px;
    display: block;
    margin: 0 auto 20px auto;
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    align-items: center;
}
*/


/*
.transform-box {
    background-color: #eaeaea;
    width: 200px;
    padding: 20px;
    text-align: center;
    border-radius: 6px;
    margin-bottom: 20px;
    transition: all 0.4s ease;
}

.transform-box:hover {
    background-color: #cde8ff;
    transform: scale(1.1) rotate(3deg);
}
*/


/*
animation 29p
*/


/* RESET STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */


/* MAIN STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */

.grid {
    position: relative;
    display: grid;
    height: 100vh;
}

.grid::before,
.grid::after {
    content: "";
    position: absolute;
    background: #333;
    z-index: 1;
}

.grid::before {
    top: 0;
    left: 50%;
    width: 1px;
    height: 100%;
}

.grid::after {
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
}

.grid .col {
    position: relative;
    grid-area: 1/1;
    cursor: pointer;
    transition: clip-path 0.5s;
}

.grid .col-1 {
    clip-path: inset(0 50% 50% 0);
}

.grid .col-2 {
    clip-path: inset(0 0 50% 50%);
}

.grid .col-3 {
    clip-path: inset(50% 50% 0 0);
}

.grid .col-4 {
    clip-path: inset(50% 0 0 50%);
}

.grid .col figure {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 50%;
    margin: 0;
    transition: all 0.5s;
}

.grid .col-2 figure {
    left: 50%;
}

.grid .col-3 figure {
    top: 50%;
}

.grid .col-4 figure {
    top: 50%;
    left: 50%;
}

.grid .col img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
}

.grid .col figcaption {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    padding: 6px 12px;
    border-radius: 5px;
    width: max-content;
    max-width: 95%;
    line-height: 1;
    color: white;
    background: #386e7a;
    text-align: center;
    opacity: 0;
    transition-property: opacity;
}

.grid .col.animate-col {
    clip-path: inset(0);
}

.grid .col.animate-col figure {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.grid .col.animate-caption figcaption {
    opacity: 1;
    transition-duration: 0.3s;
}

:root {
    --hue: 223;
    --bg: hsl(var(--hue), 10%, 90%);
    --fg1: hsl(var(--hue), 10%, 10%);
    --fg2: hsl(var(--hue), 10%, 30%);
    --fg3: hsl(var(--hue), 10%, 70%);
    --primary: hsl(var(--hue), 90%, 55%);
    --primary-t: hsla(var(--hue), 90%, 55%, 0);
    --primary-t-hover: hsla(var(--hue), 90%, 55%, 0.15);
    --trans-dur1: 0.3s;
    --trans-dur2: 0.6s;
    font-size: calc(16px + (24 - 16) * (100vw - 320px) / (1280 - 320));
}

form {
    min-width: 16em;
    padding: 1.5em 1.5em 0 1.5em;
}

.checkbox-label {
    display: flex;
    align-items: center;
    padding: 0.375em;
    position: relative;
    -webkit-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
}

.checkbox-label+.checkbox-label {
    margin-left: 2em;
}


/* Default */

.checkbox-group {
    margin-bottom: 1.25em;
}

.checkbox {
    position: absolute;
    clip: rect(1px, 1px, 1px, 1px);
    width: 1px;
    height: 1px;
}

.checkbox-text {
    color: var(--fg1);
    transition: color var(--trans-dur1);
}

.checkbox-text:after {
    background-color: var(--primary-t);
    border-radius: 0.375em;
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    transition: background-color 0.15s linear;
}

.check-icon {
    margin-right: 0.5em;
    width: 1.5em;
    height: 1.5em;
}

.check-icon__box {
    stroke: var(--fg3);
    transition: stroke var(--trans-dur1);
}

.check-icon__box-worm,
.check-icon__check-worm {
    stroke: var(--primary);
    transition: stroke var(--trans-dur1), stroke-dashoffset var(--trans-dur2) cubic-bezier(0.42, -0.2, 0.58, 1.2);
}


/* Focus and hover */

.checkbox:focus~.checkbox-text:after,
.checkbox:hover~.checkbox-text:after {
    background-color: var(--primary-t-hover);
}

.checkbox:checked+.check-icon .check-icon__box-worm,
.checkbox:indeterminate+.check-icon .check-icon__box-worm {
    stroke-dashoffset: -91;
}

.checkbox:checked+.check-icon .check-icon__check-worm {
    stroke-dashoffset: -6;
}

.checkbox:indeterminate+.check-icon .check-icon__box-worm {
    stroke-dashoffset: -111.38;
}

.checkbox:indeterminate+.check-icon .check-icon__check-worm {
    stroke-dashoffset: -26.38;
}


/* `:focus-visible` support */

@supports selector(:focus-visible) {
    .checkbox:focus~.checkbox-text:after {
        background-color: var(--primary-t);
    }
    .checkbox:focus-visible~.checkbox-text:after,
    .checkbox:hover~.checkbox-text:after {
        background-color: var(--primary-t-hover);
    }
}


/* Dark theme */

@media (prefers-color-scheme: dark) {
     :root {
        --bg: hsl(var(--hue), 10%, 10%);
        --fg1: hsl(var(--hue), 10%, 90%);
        --fg2: hsl(var(--hue), 10%, 70%);
        --fg3: hsl(var(--hue), 10%, 30%);
        --primary: hsl(var(--hue), 90%, 65%);
        --primary-t-hover: hsla(var(--hue), 90%, 55%, 0.3);
    }
}

nav {
    display: flex;
    flex-direction: column;
    margin-top: 20vh;
    padding: clamp(1rem, 5vw, 6rem);
}

nav>a {
    color: rgba(255, 255, 255, 0.25);
    font-family: "Open Sans", sans-serif;
    font-size: clamp(3rem, 8vw, 10rem);
    font-weight: 300;
    text-decoration: none;
    position: relative;
}

nav>a:hover {
    color: white;
}

nav>a>span {
    display: block;
    border-bottom: 1px solid transparent;
    border-top: 1px solid transparent;
    position: relative;
    z-index: 2;
    color: #386e7a;
}

nav>a:hover>span {
    border-top-color: white;
    border-bottom-color: white;
}

nav>a>img {
    position: absolute;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.5);
    transition: transform 250ms, opacity 250ms;
    pointer-events: none;
    width: min(40vw, 500px);
}

nav>a:hover>img {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}

.calculator {
    padding: 20px;
    -webkit-box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    border-radius: 1px;
}

.input {
    border: 1px solid #ddd;
    border-radius: 1px;
    height: 60px;
    padding-right: 15px;
    padding-top: 10px;
    text-align: right;
    margin-right: 6px;
    font-size: 2.5rem;
    overflow-x: auto;
    transition: all .2s ease-in-out;
}

.input:hover {
    border: 1px solid #bbb;
    -webkit-box-shadow: inset 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: inset 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
}

.buttons {}

.operators {}

.operators div {
    display: inline-block;
    border: 1px solid #bbb;
    border-radius: 1px;
    width: 80px;
    text-align: center;
    padding: 10px;
    margin: 20px 4px 10px 0;
    cursor: pointer;
    background-color: #ddd;
    transition: border-color .2s ease-in-out, background-color .2s, box-shadow .2s;
}

.operators div:hover {
    background-color: #ddd;
    -webkit-box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    border-color: #aaa;
}

.operators div:active {
    font-weight: bold;
}

.leftPanel {
    display: inline-block;
}

.numbers div {
    display: inline-block;
    border: 1px solid #ddd;
    border-radius: 1px;
    width: 80px;
    text-align: center;
    padding: 10px;
    margin: 10px 4px 10px 0;
    cursor: pointer;
    background-color: #f9f9f9;
    transition: border-color .2s ease-in-out, background-color .2s, box-shadow .2s;
}

.numbers div:hover {
    background-color: #f1f1f1;
    -webkit-box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    border-color: #bbb;
}

.numbers div:active {
    font-weight: bold;
}

div.equal {
    display: inline-block;
    border: 1px solid #3079ED;
    border-radius: 1px;
    width: 17%;
    text-align: center;
    padding: 127px 10px;
    margin: 10px 6px 10px 0;
    vertical-align: top;
    cursor: pointer;
    color: #FFF;
    background-color: #4d90fe;
    transition: all .2s ease-in-out;
}

div.equal:hover {
    background-color: #307CF9;
    -webkit-box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.2);
    border-color: #1857BB;
}

div.equal:active {
    font-weight: bold;
}

.history p {
    color: #386e7a;
    background: white;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: auto;
    padding: 10%;
}

:root {
    --dark: rgb(20, 20, 20);
    --yellow: rgb(253, 216, 53);
    --blue: rgb(98, 0, 234);
    --c1: rgb(3, 7, 18);
    --c2: rgb(163, 230, 53);
    --left-color: var(--c1);
    --right-color: var(--c2);
}

.side {
    display: grid;
    height: 100vh;
    overflow: hidden;
    place-items: center;
    position: absolute;
    width: 100%;
}

.side .title {
    font-family: "Montserrat", sans-serif;
    font-size: 7vw;
    font-weight: 800;
    margin: 0px 10vw;
    width: 80vw;
}

.side .fancy {
    font-family: "Permanent Marker", cursive;
    font-size: 1.8em;
    line-height: 0.6em;
}

#left-side {
    background-color: var(--left-color);
    width: 60%;
    z-index: 2;
}

#left-side .title {
    color: white;
}

#left-side .fancy {
    color: var(--right-color);
}

#right-side {
    background-color: var(--right-color);
}

#right-side .title {
    color: var(--dark);
}

#right-side .fancy {
    color: white;
}